
Smart Proxy - Feature #2790

Optional setting for custom DNS TTL value in settings.yml

07/15/2013 09:18 AM - Povilas Daukintis

Status: Closed   

Priority: Low   

Assignee:    

Category: DNS   

Target version: 1.3.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When smart-proxy manipulates DNS zone records (A/PTR)  by default it will use TTL value which is 86400. While it's pretty good for

most cases, it might be not suitable for every possible case.

I've slightly modified lib/proxy/dns.rb code to optionally read custom TTL value from settings.yml file:

diff --git a/lib/proxy/dns.rb b/lib/proxy/dns.rb

index f580116..5d4d924 100644

--- a/lib/proxy/dns.rb

+++ b/lib/proxy/dns.rb

@@ -7,7 +7,7 @@ module Proxy::DNS

     def initialize options = {}

       @server = options[:server] || "localhost" 

       @fqdn   = options[:fqdn]

-      @ttl    = options[:ttl]    || "86400" 

+      @ttl    = options[:ttl]    || SETTINGS.dns_ttl || "86400" 

       @type   = options[:type]   || "A" 

       @value  = options[:value]

 This would allow to set custom TTL value per smart-proxy instance.

Associated revisions

Revision 1242cab2 - 07/17/2013 11:46 AM - Povilas Daukintis 

Fixes #2790 - Optionally set DNS TTL value from settings.yml config file

History

#1 - 07/15/2013 09:32 AM - Povilas Daukintis

Added PR in Github: https://github.com/theforeman/smart-proxy/pull/102

#2 - 07/16/2013 04:53 AM - Lukas Zapletal

- Target version set to 1.3.0

#3 - 07/17/2013 12:18 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 1242cab223cfaeec8c60fa0bc23ff1097f8b3c82.
